# Contributing

We love contributions from everyone.
By participating in this project,
you agree to abide by the [Code of Conduct](https://github.com/yuriyalekseyev/coinmarketcap_api/blob/master/CODE_OF_CONDUCT.md).

## Contributing Code

1. [Fork](https://github.com/yuriyalekseyev/coinmarketcap_api/fork) a repo.

2. Install dependencies.
    
        bundle install
    
3. Create your feature branch.
    
        git checkout -b my-new-feature

4. Make sure the tests pass:
        
        bundle exec rspec
    
5. Make your change, with new passing tests.
Write a [good commit message](https://github.com/erlang/otp/wiki/Writing-good-commit-messages).
    
        git commit -am 'Add some feature'
    
6. Push to your fork.  
    
        git push origin my-new-feature

7. Create a new [Pull Request](https://github.com/yuriyalekseyev/coinmarketcap_api/pulls).

Others will give constructive feedback.

This is a time for discussion and improvements,
and making the necessary changes will be required before we can
merge the contribution.