lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'coinmarketcap_api/version'

Gem::Specification.new do |spec|
  spec.name    = 'coinmarketcap_api'
  spec.version = CoinMarketCap::VERSION
  spec.authors = ['Yuriy Alekseyev']
  spec.email   = ['dev.yuriy.a@gmail.com']

  spec.summary     = 'Friendly and convenient Coinmarketcap.com API wrapper in Ruby.'
  spec.description = 'Friendly and convenient Coinmarketcap.com API wrapper in Ruby.'
  spec.homepage    = 'https://github.com/yuriyalekseyev/coinmarketcap_api'
  spec.license     = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday'
  spec.add_dependency 'hashie'
  spec.add_dependency 'multi_json'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'factory_bot', '~> 4.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'simplecov-console'
  spec.add_development_dependency 'typhoeus'
end
